%define languageenglazy Latin
%define languagecode    la
%define lc_ctype        la_VA

%define tarball_version 2013-03-31

%define upstream_version %(echo %{tarball_version} | sed -r 's@-@@g')

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 9
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            https://extensions.services.openoffice.org/project/dict-la
Source0:        https://downloads.sourceforge.net/project/aoo-extensions/1141/3/dict-%{languagecode}_%{tarball_version}.oxt

BuildArch:      noarch

Recommends:       hunspell

#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-la_LA < 1.0.3
Provides:       myspell-la_LA

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
for i in README_extension_owner-la.txt la/README_la.txt la/COPYING*; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p la/la.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p la/la.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_extension_owner-la.txt la/README_la.txt la/COPYING_*
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.20130331.1-9.mga10
+ Revision: 2196899
- Mageia 10 Mass Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 0.20130331.1-8.mga9
+ Revision: 1801217
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.20130331.1-7.mga8
+ Revision: 1490624
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20130331.1-6.mga7
+ Revision: 1262276
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.20130331.1-5.mga6
+ Revision: 940942
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20130331.1-4.mga5
+ Revision: 749113
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20130331.1-3.mga5
+ Revision: 680265
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Oct 21 2013 umeabot <umeabot> 0.20130331.1-2.mga4
+ Revision: 536940
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.20130331.1-1.mga4
+ Revision: 485988
- New version: 0.20130331.1

* Sat Jan 12 2013 umeabot <umeabot> 0.20100823.1-6.mga3
+ Revision: 353535
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20100823.1-5.mga3
+ Revision: 325553
- rebuild for Mga3 Beta1

* Tue Feb 14 2012 kamil <kamil> 0.20100823.1-4.mga2
+ Revision: 208517
- use better obsoleting of myspell

* Fri Jan 27 2012 kamil <kamil> 0.20100823.1-3.mga2
+ Revision: 202241
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20100823.1-2.mga1
+ Revision: 68904
- imported package hunspell-la


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20100823-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 24 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100823-1
- latest version

* Fri Jul 11 2010 Caolán McNamara <caolanm@redhat.com> - 0.20080903-5
- drop build require

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080903-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Caolán McNamara <caolanm@redhat.com> - 0.20080903-3
- tidy spec

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080903-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 02 2008 Caolán McNamara <caolanm@redhat.com> - 0.20080903-1
- initial version
